drop table sequence if exists;
drop table t_member if exists;
drop table t_group if exists;



create table t_group (
group_id integer not null identity,
name varchar(40)
);

create table t_member (
member_id integer identity,
name varchar(40),
detail varchar(200),
group_id integer,
constraint fk_group foreign key (group_id) references t_group(group_id)
);

create table sequence (seq_count integer, seq_name varchar(16));
insert into sequence values(0, 'seq_member');
insert into sequence values(0, 'seq_group');
