package com.mamezou.jpa.batch.impl;

import java.util.List;

import com.mamezou.jpa.batch.Batch;
import com.mamezou.jpa.dao.GroupDao;
import com.mamezou.jpa.domain.Group;
import com.mamezou.jpa.domain.Member;


public class ListGroup implements Batch {

    private GroupDao groupDao;
    
    public void setGroupDao(GroupDao groupDao) {
        this.groupDao = groupDao;
    }
    
    public void run() throws Exception {
        List<Group> groups = groupDao.findGroupByName("Group01");
        
        for (Group group : groups) {
            System.out.println("group id = " + group.getId());
            System.out.println("group name = " + group.getName());
            
            System.out.println("members:");
            for (Member member :group.getMembers()) {
                System.out.print("\tid:" + member.getId());
                System.out.print("\tname:" + member.getName());
                System.out.print("\tdetail:" + member.getDetail());
                System.out.println();
            }
        }
    }
}
