package com.mamezou.jpa.dao.impl;

import java.util.List;

import org.springframework.orm.jpa.support.JpaDaoSupport;

import com.mamezou.jpa.dao.GroupDao;
import com.mamezou.jpa.domain.Group;


public class GroupDaoImpl extends JpaDaoSupport implements GroupDao {

    public List<Group> findGroupByName(String name) {
        return getJpaTemplate().find("SELECT x FROM Group x Where x.name = ?1 ", new Object[] { name });
    }

    public void insertGroup(Group group) {
        getJpaTemplate().persist(group);
    }

    public void removeGroup(Group group) {
        getJpaTemplate().remove(group);
    }

}
