package com.mamezou.jpa.batch.impl;

import com.mamezou.jpa.batch.Batch;
import com.mamezou.jpa.dao.GroupDao;
import com.mamezou.jpa.dao.MemberDao;
import com.mamezou.jpa.domain.Group;
import com.mamezou.jpa.domain.Member;


public class AddGroup implements Batch {

    private MemberDao memberDao;
    private GroupDao groupDao;

    public void setMemberDao(MemberDao memberDao) {
        this.memberDao = memberDao;
    }
    public void setGroupDao(GroupDao groupDao) {
        this.groupDao = groupDao;
    }
    
    public void run() throws Exception {
        Group group01 = new Group();
        group01.setName("Group01");
        groupDao.insertGroup(group01);
        
        Member member01 = new Member();
        member01.setName("Member01");
        member01.setDetail("batch add user");
        member01.setGroup(group01);
        memberDao.insertMember(member01);
        
        Member member02 = new Member();
        member02.setName("Member02");
        member02.setDetail("batch add user");
        member02.setGroup(group01);
        memberDao.insertMember(member02);
    }

}
