package com.mamezou.jpa.batch.impl;

import java.util.List;

import com.mamezou.jpa.batch.Batch;
import com.mamezou.jpa.dao.GroupDao;
import com.mamezou.jpa.dao.MemberDao;
import com.mamezou.jpa.domain.Group;


public class RemoveGroup implements Batch {
    private MemberDao memberDao;
    private GroupDao groupDao;
    
    public void setMemberDao(MemberDao memberDao) {
        this.memberDao = memberDao;
    }
    public void setGroupDao(GroupDao groupDao) {
        this.groupDao = groupDao;
    }
    
    public void run() throws Exception {
        List<Group> groups = groupDao.findGroupByName("Group01");
        
        for (Group group : groups) {
            groupDao.removeGroup(group);
        }
    }
    
    public MemberDao getMemberDao() {
        return memberDao;
    }
}
